# Additional costs: Bimp API methods

URL: https://bimpsoft.com/en/help/developers/api-reference/additional-spendings/

Bimp API methods for the “Additional costs” resource (`/org2/additionalSpendings/…`): 4 methods. Base URL: `https://app.bimpsoft.com`. All requests except login pass the company token in the `access-token` header — see [Getting started with the API](/en/help/developers/api-getting-started/).

| Method | What it does |
|---|---|
| [`POST /org2/additionalSpendings/api-readList`](#api-read-list) | A request to get a list of additional spendings documents |
| [`POST /org2/additionalSpendings/api-read`](#api-read) | A request to get detailed information about a single additional spendings document |
| [`POST /org2/additionalSpendings/api-create`](#api-create) | A request to create a new additional spendings document |
| [`POST /org2/additionalSpendings/api-update`](#api-update) | A request to update an existing additional spendings document |

## api-readList

`POST /org2/additionalSpendings/api-readList`

A request to get a list of additional spendings documents

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `pagination` | object | yes |  |
| `pagination.offset` | number | yes | Begin from {offset} elements |
| `pagination.count` | number | yes | Limit of paginated elemets |
| `filters` | object |  |  |
| `filters.name` | string |  | Filter by document number |
| `filters.comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `filters.showArchived` | boolean |  | Include archived documents |
| `filters.author` | string (uuid)[] |  |  |
| `filters.organization` | string (uuid)[] |  |  |
| `filters.counterparty` | string (uuid)[] |  |  |
| `filters.operation` | number[] |  |  |
| `filters.sum` | object[] |  |  |
| `filters.date` | object[] |  |  |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `total` | number | Total number of documents |
| `rows` | object[] |  |
| `rows[].uuid` | string (uuid) |  |
| `rows[].number` | string |  |
| `rows[].date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `rows[].comment` | string | An optional text field for any additional notes or comments related to the document |
| `rows[].archived` | boolean |  |
| `rows[].sum` | number |  |
| `rows[].documentType` | number |  |
| `rows[].author` | string (uuid) |  |
| `rows[].organization` | string (uuid) |  |
| `rows[].counterparty` | string (uuid) |  |
| `rows[].operation` | number |  |
| `rows[].currency` | object |  |
| `rows[].currency.uuid` | string (uuid) |  |
| `rows[].currency.name` | string |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/additionalSpendings/api-readList' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'
```

## api-read

`POST /org2/additionalSpendings/api-read`

A request to get detailed information about a single additional spendings document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes | A unique uuid key for an additional spendings document |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |
| `date` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `number` | string | The document's number. Use this field if you need to specify a custom number |
| `comment` | string | An optional text field for any additional notes or comments related to the document |
| `archived` | boolean |  |
| `organization` | string (uuid) | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `counterparty` | string (uuid) | A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request |
| `author` | string (uuid) | A unique identifier for the Author, obtainable from the /user/api-readList request |
| `contract` | string (uuid) | The unique identifier for the counterparty's contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
| `status` | string (uuid) | Document status uuid |
| `service` | string (uuid) | Nomenclature uuid for the additional expense |
| `operation` | number | Operation type: 1 = Sale, 2 = Buying, 3 = Production, 5 = Work order |
| `documentSum` | number |  |
| `sum` | number |  |
| `quantity` | number |  |
| `distributeBy` | number |  |
| `currency` | string (uuid) |  |
| `invoiceForSupplierPayment` | string (uuid) |  |
| `daysPostponed` | string (uuid) |  |
| `VATaccounted` | boolean |  |
| `VATamount` | number |  |
| `processing` | boolean | An informational flag marking the document as related to tolling (processing) |
| `mutualSettlementType` | string (uuid) |  |
| `products` | object[] |  |
| `products[].nomenclature` | string (uuid) | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
| `products[].quantity` | number | The amount of items |
| `products[].price` | number | The price of the item/document |
| `products[].sum` | number | The sum of the document |
| `products[].expenseSum` | number | Expense amount allocated to this product line |
| `products[].unitOfMeasurement` | string (uuid) | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
| `products[].project` | string (uuid) | A unique identifier for the Project, obtainable from the /project/api-readList request |
| `products[].lineOfBusiness` | string (uuid) | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
| `products[].VATaccounted` | string (uuid) | Value indicating whether VAT (Value Added Tax) has been accounted for |
| `products[].VATamount` | number | The amount of the VAT |
| `products[].total` | number | Line total including VAT |
| `products[].comment` | string | An optional text field for any additional notes or comments related to the document |
| `products[].baseDocument` | string (uuid) | Base document uuid for this product line |
| `expenses` | object[] |  |
| `expenses[].nomenclature` | string (uuid) | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
| `expenses[].quantity` | number | The amount of items |
| `expenses[].price` | number | The price of the item/document |
| `expenses[].sum` | number | The sum of the document |
| `expenses[].unitOfMeasurement` | string (uuid) | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
| `expenses[].VATaccounted` | string (uuid) | Value indicating whether VAT (Value Added Tax) has been accounted for |
| `expenses[].VATamount` | number | The amount of the VAT |
| `expenses[].total` | number | Line total including VAT |
| `paymentCalendar` | object[] |  |
| `paymentCalendar[].receiptDate` | string | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `paymentCalendar[].receiptSum` | number | Planned receipt amount |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/additionalSpendings/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

## api-create

`POST /org2/additionalSpendings/api-create`

A request to create a new additional spendings document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `organization` | string (uuid) | yes | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `counterparty` | string (uuid) | yes | A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request |
| `author` | string (uuid) | yes | A unique identifier for the Author, obtainable from the /user/api-readList request |
| `operation` | number | yes | Operation type: 1 = Sale, 2 = Buying, 3 = Production, 5 = Work order |
| `number` | string |  | The document's number. Use this field if you need to specify a custom number |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `contract` | string (uuid) | yes | The unique identifier for the counterparty's contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
| `status` | string (uuid) |  | Document status uuid |
| `service` | string (uuid) | yes | Nomenclature uuid for the additional expense |
| `documentSum` | number | yes | Document sum of the additional expense |
| `sum` | number |  | The sum of the document |
| `quantity` | number |  | Quantity of the expense service |
| `distributeBy` | number |  | Expense distribution method (e.g. by sum or by quantity) |
| `currency` | string (uuid) |  | A unique identifier for the Currency, obtainable from the /currency/api-readList request |
| `invoiceForSupplierPayment` | string (uuid) |  | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
| `daysPostponed` | string (uuid) |  | The amount of the days postponed |
| `VATaccounted` | boolean |  | Boolean flag equivalent to the 'Include VAT'. Set to true to apply VAT calculations. |
| `VATamount` | number |  | The total amount of Value Added Tax (VAT) applied |
| `processing` | boolean |  | An informational flag marking the document as related to tolling (processing) |
| `mutualSettlementType` | string (uuid) |  | Mutual settlement type uuid |
| `products` | object[] | yes |  |
| `products[].nomenclature` | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
| `products[].quantity` | number | yes | The amount of items |
| `products[].price` | number |  | The price of the item/document |
| `products[].sum` | number |  | The sum of the document |
| `products[].expenseSum` | number |  | Expense amount allocated to this product line |
| `products[].unitOfMeasurement` | string (uuid) |  | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
| `products[].project` | string (uuid) |  | A unique identifier for the Project, obtainable from the /project/api-readList request |
| `products[].lineOfBusiness` | string (uuid) |  | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
| `products[].VATaccounted` | string (uuid) |  | Value indicating whether VAT (Value Added Tax) has been accounted for |
| `products[].VATamount` | number |  | The amount of the VAT |
| `products[].total` | number |  | Line total including VAT |
| `products[].comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `products[].baseDocument` | string (uuid) |  | Base document uuid for this product line |
| `expenses` | object[] |  |  |
| `expenses[].nomenclature` | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
| `expenses[].quantity` | number | yes | The amount of items |
| `expenses[].price` | number |  | The price of the item/document |
| `expenses[].sum` | number |  | The sum of the document |
| `expenses[].unitOfMeasurement` | string (uuid) |  | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
| `expenses[].VATaccounted` | string (uuid) |  | Value indicating whether VAT (Value Added Tax) has been accounted for |
| `expenses[].VATamount` | number |  | The amount of the VAT |
| `expenses[].total` | number |  | Line total including VAT |
| `paymentCalendar` | object[] |  |  |
| `paymentCalendar[].receiptDate` | string | yes | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `paymentCalendar[].receiptSum` | number | yes | Planned receipt amount |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/additionalSpendings/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"organization":"00000000-0000-0000-0000-000000000000","counterparty":"00000000-0000-0000-0000-000000000000","author":"00000000-0000-0000-0000-000000000000","operation":1,"contract":"00000000-0000-0000-0000-000000000000","service":"00000000-0000-0000-0000-000000000000","documentSum":1,"products":[{}]}'
```

## api-update

`POST /org2/additionalSpendings/api-update`

A request to update an existing additional spendings document

**Request body (JSON)**

| Field | Type | Required | Description |
|---|---|---|---|
| `uuid` | string (uuid) | yes |  |
| `organization` | string (uuid) |  | A unique identifier for the Organization, obtainable from the /organization/api-readList request |
| `counterparty` | string (uuid) |  | A unique identifier for the Counterparty, obtainable from the /counterparty/api-readList request |
| `author` | string (uuid) |  | A unique identifier for the Author, obtainable from the /user/api-readList request |
| `operation` | number |  | Operation type: 1 = Sale, 2 = Buying, 3 = Production, 5 = Work order |
| `number` | string |  | The document's number. Use this field if you need to specify a custom number |
| `date` | string |  | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `contract` | string (uuid) |  | The unique identifier for the counterparty's contract, specified in the buyer key. You can retrieve this UUID using the /contract/api-readList request |
| `status` | string (uuid) |  | Document status uuid |
| `service` | string (uuid) |  | Nomenclature uuid for the additional expense |
| `documentSum` | number |  | Document sum of the additional expense |
| `sum` | number |  | The sum of the document |
| `quantity` | number |  | Quantity of the expense service |
| `distributeBy` | number |  | Expense distribution method (e.g. by sum or by quantity) |
| `currency` | string (uuid) |  | A unique identifier for the Currency, obtainable from the /currency/api-readList request |
| `invoiceForSupplierPayment` | string (uuid) |  | A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request |
| `daysPostponed` | string (uuid) |  | The amount of the days postponed |
| `VATaccounted` | boolean |  | Boolean flag equivalent to the 'Include VAT'. Set to true to apply VAT calculations. |
| `VATamount` | number |  | The total amount of Value Added Tax (VAT) applied |
| `processing` | boolean |  | An informational flag marking the document as related to tolling (processing) |
| `mutualSettlementType` | string (uuid) |  | Mutual settlement type uuid |
| `products` | object[] |  |  |
| `products[].nomenclature` | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
| `products[].quantity` | number | yes | The amount of items |
| `products[].price` | number |  | The price of the item/document |
| `products[].sum` | number |  | The sum of the document |
| `products[].expenseSum` | number |  | Expense amount allocated to this product line |
| `products[].unitOfMeasurement` | string (uuid) |  | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
| `products[].project` | string (uuid) |  | A unique identifier for the Project, obtainable from the /project/api-readList request |
| `products[].lineOfBusiness` | string (uuid) |  | A unique identifier for the Line of Business, obtainable from the /lineOfBusiness/api-readList request |
| `products[].VATaccounted` | string (uuid) |  | Value indicating whether VAT (Value Added Tax) has been accounted for |
| `products[].VATamount` | number |  | The amount of the VAT |
| `products[].total` | number |  | Line total including VAT |
| `products[].comment` | string |  | An optional text field for any additional notes or comments related to the document |
| `products[].baseDocument` | string (uuid) |  | Base document uuid for this product line |
| `expenses` | object[] |  |  |
| `expenses[].nomenclature` | string (uuid) | yes | A unique identifier for the Nomenclature, obtainable from the /nomenclature/api-readList request |
| `expenses[].quantity` | number | yes | The amount of items |
| `expenses[].price` | number |  | The price of the item/document |
| `expenses[].sum` | number |  | The sum of the document |
| `expenses[].unitOfMeasurement` | string (uuid) |  | A unique identifier for the Unit of Measurement, obtainable from the /unitsOfMeasurment/api-readList request |
| `expenses[].VATaccounted` | string (uuid) |  | Value indicating whether VAT (Value Added Tax) has been accounted for |
| `expenses[].VATamount` | number |  | The amount of the VAT |
| `expenses[].total` | number |  | Line total including VAT |
| `paymentCalendar` | object[] |  |  |
| `paymentCalendar[].receiptDate` | string | yes | The document's date in the format 'YYYY-MM-DDTHH:MM:SS' (e.g., '2025-05-16T09:17:49') |
| `paymentCalendar[].receiptSum` | number | yes | Planned receipt amount |

**Response: `data` field**

| Field | Type | Description |
|---|---|---|
| `uuid` | string (uuid) |  |

```bash
curl -X POST 'https://app.bimpsoft.com/org2/additionalSpendings/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
```

Interactive documentation with a test request option: [https://app.bimpsoft.com/docs](https://app.bimpsoft.com/docs). The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.
